# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
Name:           hercstudio
Version:        1.4.0
Release:        alt1_2
Summary:        GUI front-end to the Hercules mainframe Emulator

Group:          Emulators
License:        GPLv3+
URL:            http://www.mvsdasd.org/hercstudio/
Source0:        http://www.mvsdasd.org/hercstudio/herculesstudio-%{version}-src.tar.gz
Source1:        %{name}.desktop
# make build verbose
Patch0:         herculesstudio-1.4.0-verbose-build.patch

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
Requires:       hercules >= 3.06-4
Source44: import.info


%description
GUI front-end to the Hercules mainframe Emulator.


%prep
%setup -q -c
%patch0 -p1 -b .verbose-build


%build
cd HerculesStudio
qmake-qt4
make %{?_smp_mflags}


%install
cd HerculesStudio
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

install -p -m 755 HerculesStudio $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 HercStudio/icons/tray.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/hercstudio.xpm

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%files
%doc HerculesStudio/COPYING
%{_bindir}/HerculesStudio
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_1
- initial fc import

